<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('hadiahs', function (Blueprint $table) {
            $table->id();
            $table->string('kd_hadiah')->unique();
            $table->string('nm_hadiah');
            $table->integer('stok');
            $table->double('poin');
            $table->text('gambar');
            $table->text('keterangan');
            $table->text('link_hadiah');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('hadiahs');
    }
};
